## ros-melodic-cob-hand-bridge 0.6.9

=== client/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_hand_bridge)

find_package(Boost COMPONENTS chrono system thread REQUIRED)
include_directories(pigpio ros_lib ${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIR})

add_library(cob_hand_ros_lib STATIC ros_lib/duration.cpp ros_lib/time.cpp)

add_library(cob_hand_pigpio STATIC pigpio/pigpio.c pigpio/command.c)
target_compile_definitions(cob_hand_pigpio PRIVATE DISABLE_SER_CHECK_INITED) # for tests

add_executable(cob_hand_bridge src/bridge.cpp)
target_link_libraries( cob_hand_bridge cob_hand_pigpio cob_hand_ros_lib ${Boost_LIBRARIES} )

install(TARGETS cob_hand_bridge DESTINATION bin)

=== debian/changelog ===
ros-melodic-cob-hand-bridge (0.6.9-1bionic) bionic; urgency=high

  * Merge pull request #27 <https://github.com/ipa320/cob_hand/issues/27> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.8-1bionic) bionic; urgency=high

  * remove -Wno-format flag
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 24 Mar 2020 23:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.7-1bionic) bionic; urgency=high

  * Merge pull request #26 <https://github.com/ipa320/cob_hand/issues/26> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #25 <https://github.com/ipa320/cob_hand/issues/25> from fmessmer/suppress_warnings
    add -Wno-* compile option to suppress warnings
  * add -Wno compile option to suppress warnings
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.6-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.5-1bionic) bionic; urgency=high

  * update pigpio submodule
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 21 Jul 2018 22:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.4-1bionic) bionic; urgency=high

  * update maintainer
  * Merge pull request #22 <https://github.com/ipa320/cob_hand/issues/22> from ipa-bnm/fix/cob_hand_init
    Reset error in init
  * reset error on init
  * readded local launch file
  * Merge pull request #21 <https://github.com/ipa320/cob_hand/issues/21> from ipa-bnm/feature/direct_sdh_connection
    added ros node for direct sdax communication
  * mojin robotics copyright
  * remove launch file
  * added ros node for direct sdax communication
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, fmessmer, ipa-fmw

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.3-1bionic) bionic; urgency=high

  * Merge pull request #19 <https://github.com/ipa320/cob_hand/issues/19> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #17 <https://github.com/ipa320/cob_hand/issues/17> from ipa-fxm/APACHE_license
    use license apache 2.0
  * change maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.2-1bionic) bionic; urgency=high

  * properly handle re-init after restart
    tested on cob4-5
  * Contributors: Mathias Lüdtke

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-hand-bridge (0.6.1-1bionic) bionic; urgency=high

  * fix install tags
  * move launch files to bringup
  * start init server after status topic is connected
  * speed-up line parsing
  * fixed offset calculation bug
  * stop timer on preemption
  * improved deadline timer
  * fixed typo in JointValues.msg
  * resend while moving
  * set nominal current as default
  * renamed g_motors_stopped to to g_motion_stopped
  * resend only if control was stopped
  * set default velocity (unused, but must be in valid range)
  * move command string format was wrong, updated to signed
  * pass currents to SDHx
  * read currents from trajectory
  * parse default currents
  * non-positive resend_timer disables it
  * stop resending on error
  * use deadline timer instead of resend timer
  * properly handle goal if already at target
  * added missing dependency
  * Fix for #6 <https://github.com/ipa320/cob_hand/issues/6>, added dependency to self
  * deep-copy port string
  * require movement to start
  * migrated to goalCB
  * increased stopped velocity
  * support trajectories with missing header stamp
  * proper conversions
  * do not test for tolerances size (outdated code)
  * catch not connected error in init
  * first status detected was buggy
  * finger ready  logic was inverted
  * added trajectory interface
  * wait for init_finger service
  * enable recover on non-zero RC
  * Use global namespaces to make remap work
  * Do not check required interfase per default
    rosserial checks FQN, does not work with component namespaces
  * report error on non-zero SDHx return code
  * added diagnostics
  * c&p bug
  * device port was missing the leading slash
  * resize position vector before filling it
  * advertise recover service
  * updated mismatched MD5 sums
  * added first version of node
  * implemented recover service
  * actually read velocity and current from SDHx
  * switched to signed current entry
  * improved line parsing
  * Keep existing PWM setting if value is zero
  * Create README.md
  * PWM just works for first bank
  * added launch file
  * refactored for PWM feature
  * added support for bank1
  * removed sdhx.cpp from CMake config
  * SDHx implementation
  * first test app with GPIO
  * Contributors: Florian Weisshardt, Mathias Lüdtke, ipa-cob4-5, ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-cob-hand-bridge
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-angles, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-diagnostic-updater, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-cob-hand-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-diagnostic-updater, ros-melodic-message-runtime, ros-melodic-rosserial-python, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: The cob_hand_bridge package provides a driver for the gripper of Care-O-bot4.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-hand-bridge//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
